Api referenceEvents
Authorization
bearerAuth AuthorizationBearer <token>
API key in format zk_live_* or zk_test_*
In: header
Query Parameters
campaign_id?string
Format
uuidevent_type?string
Value in
"email.sent" | "email.bounced" | "email.replied" | "email.complained" | "lead.completed" | "lead.unsubscribed"from?string
Format
date-timeto?string
Format
date-timelimit?integer
Default
50Range
1 <= value <= 100offset?integer
Default
0Range
0 <= valueResponse Body
application/json
application/json
curl -X GET "https://zend.sh/api/v1/events"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba",
"campaign_id": "78614b6c-fe7c-41e2-8e25-c9b3a3c91904",
"step_id": "5cb19d54-1551-4ee7-a292-ee3ee4dcef77",
"lead_id": "9bddab70-98e6-43a9-8f32-c9788b9de0c0",
"account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65",
"event_type": "email.sent",
"metadata": {},
"occurred_at": "2019-08-24T14:15:22Z"
}
],
"total": 0,
"limit": 0,
"offset": 0,
"hasMore": true
}{
"type": "string",
"message": "string",
"field": "string",
"status": 0
}